
/*
 * admin.cgiにPOSTでデータを送信します。
 *
 * @host
 * @port
 * @func
 * @errfunc
 * @postData
 * @userData
 */
function postDataToAdmin(host, port, func, errfunc, postData, userData) {
	var request = Components.classes["@mozilla.org/xmlextras/xmlhttprequest;1"].createInstance(Components.interfaces.nsIXMLHttpRequest);
	
	var reqstr = "http://" + combHP(host, port) + "/admin.cgi";
	
	request.onreadystatechange = function() { receiveResponseFromAdmin(request, func, userData); }
	request.onerror = errfunc;
	request.open("POST", reqstr, true);
	request.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
	request.send(postData);
}

/*
 * admin.cgiからの応答を処理します。
 *
 * @request
 * @func
 * @userData
 */
function receiveResponseFromAdmin(request, func, userData) {
	if (request.readyState == 4) {
		if (request.status == 200) {
			func(request, userData);
		}
	}
}