
/*
 * 指定スレッドがキャッシュとして存在しているかどうかチェックします。
 *
 * @param thinfo
 * @return bool値
 */
function existCache(thinfo) {
	var exist = false;
	var cachedir = getPref("moonfox.cachedir");
	
	if(!cachedir || cachedir == "")
		return exist;
	
	var join = cachedir.match(/\/$/) ? "" : "/";
	var threaddir = cachedir + join + thinfo.file;
	var target = new File(threaddir);
	exist = target.exist();
	
	return exist;
}

/*
 *
 */
function getThreadListFiles() {
	var list = null;
	
	var cachedir = getPref("moonfox.cachedir");
	
	if(!cachedir || cachedir == "")
		return exist;
	
	var rootfile = new File(cachedir);
	
	list = rootfile.listFile();
	
	return list;
}