
/*
 * host:portにして返す。
 * portがない場合はhostで返す。
 */
function combHP(host, port) {
	var str = "";
	
	if(port && port != "") {
		str = host + ":" + port;
	} else {
		str = host;
	}
	
	return str;
}

/*
 *
 */
function formatSizeStr(size) {
	var str = "";
	
	if(size < 1048576) {
		str = parseInt(size / 1024) + " KB"
	} else {
		var str = String(size / 1048576);
		str.match(/(\d+\.\d).+/);
		str = RegExp.$1 + " MB";
		//str = parseInt(size / 1048576) + "MB";
	}
	
	return str;
}

function utf8to16(str) {
    var out, i, len, c;
    var char2, char3;

    out = "";
    len = str.length;
    i = 0;
    while(i < len) {
	c = str.charCodeAt(i++);
	switch(c >> 4)
	{ 
	  case 0: case 1: case 2: case 3: case 4: case 5: case 6: case 7:
	    // 0xxxxxxx
	    out += str.charAt(i-1);
	    break;
	  case 12: case 13:
	    // 110x xxxx   10xx xxxx
	    char2 = str.charCodeAt(i++);
	    out += String.fromCharCode(((c & 0x1F) << 6) | (char2 & 0x3F));
	    break;
	  case 14:
	    // 1110 xxxx  10xx xxxx  10xx xxxx
	    char2 = str.charCodeAt(i++);
	    char3 = str.charCodeAt(i++);
	    out += String.fromCharCode(((c & 0x0F) << 12) |
					   ((char2 & 0x3F) << 6) |
					   ((char3 & 0x3F) << 0));
	    break;
	}
    }

    return out;
}