
function endup() {
	//var bar = document.getElementById("scrollbar_thumbsize");
	var size = getThumbSize();//bar.getAttribute("curpos");
	setPref("moonfox.imgviewer.thumbsize", size);
	
	if(exitFlg) {
		setPref("moonfox.imgviewer.thread", "");
		setPref("moonfox.imgviewer.page", 1);
	}
}

/*
 *
 */
function pageComboChanged(cbo) {
	try {
		var newPage = parseInt(cbo.value);
		
		if(newPage != currentPage) {
			setPref("moonfox.imgviewer.page", newPage);
			exitFlg = false;
			window.location.reload();
		}
	} catch(e) {
		alert(e);
	}
}

/*
 * 初期処理
 */
function startup() {
	try {
		if(startFlg)
			return;
		
		startFlg = true;
		
		//設定読込
		maxThumbNumPerPage = getPref("moonfox.imgviewer.max_thumb_num_per_page");
		selectedThreadName = getPref("moonfox.imgviewer.thread");
		currentPage = getPref("moonfox.imgviewer.page");
		
		var thumbSize = getPref("moonfox.imgviewer.thumbsize");
		var bar = document.getElementById("scrollbar_thumbsize");
		bar.setAttribute("curpos", thumbSize);
		var label = document.getElementById("label_thumbsize");
		label.setAttribute("value", thumbSize);
		
		//スレッドリストを取得
		threadFileList = getThreadListFiles();
		
		//構築
		constructThreadPopup();
		constructPageCombo();
		constructThumbnail();
		
		setInterval("checkSize()", 2000);
	} catch(e) {
		alert(e);
	}
}

function test() {
	try {
		var iframe = document.getElementById("iframe_thumb");
		//iframe.contentWindow.location.href = "about:blank";
		self.iframe_thumb.endup();
	} catch(e) {
		alert(e);
	}
}

function threadButtonClicked(btn) {
	var popup = document.getElementById("popup_thread");
	
	popup.showPopup(btn, btn.boxObject.screenX, btn.boxObject.screenY + 25, "bottomleft", "topleft");
}

function threadMenuItemClicked(item) {
	try {//alert(thread);
		setPref("moonfox.imgviewer.thread", item.value);
		setPref("moonfox.imgviewer.page", 1);
		exitFlg = false;
		window.location.reload();
	} catch(e) {
		alert(e);
	}
}


function thumbScrollbarChanged(bar) {
	var size = getThumbSize();
	
	configThumbPosition();
	
	var label = document.getElementById("label_thumbsize");
	label.setAttribute("value", size);
}